[ERROR] Terminal initialization failed; falling back to unsupported

启动hive报错[ERROR] Terminal initialization failed; falling back to unsupported

20161115160953

解决办法:

原因是hadoop目录下存在老版本jline:
/hadoop/share/hadoop/yarn/lib:
-rw-r--r-- 1 root root   87325 Mar 10 18:10 jline-0.9.94.jar
解决方法是:
将hive下的新版本jline的JAR包拷贝到hadoop下:
cp /hive/hive-1.2.1/lib/jline-2.12.jar ./
/hadoop/share/hadoop/yarn/lib
-rw-r--r-- 1 root root   87325 Mar 10 18:10 jline-0.9.94.jar.bak
-rw-r--r-- 1 root root  213854 Mar 11 22:22 jline-2.12.jar
当老版本和新版本同时存在时删除老版本即可!
hivesuccess

mhf

我还没有学会写个人说明!

相关推荐

3 条评论

  1. 谢谢分享,学习了

  2. 马兄,来看看你咯

微信扫一扫,分享到朋友圈

[ERROR] Terminal initialization failed; falling back to unsupported